#ifndef __HAL_LKSMCU_HALL_H__
#define __HAL_LKSMCU_HALL_H__
#include "stdint.h"
typedef enum
{
    HAL_HALL_0,
    HAL_HALL_1,
} HAL_HALL_x;
// 初始化
void HAL_HALL_Reset(HAL_HALL_x);   // 模块复位
void HAL_HALL_Enable(HAL_HALL_x);  // 模块打开
void HAL_HALL_Disable(HAL_HALL_x); // 模块关闭
//
void HAL_HALL_SetFreq(HAL_HALL_x, uint32_t freq); // 设置hall频率
void HAL_HALL_SetTh(HAL_HALL_x, uint32_t th);     // 设置hall频率
uint32_t HAL_HALL_ReadTh(HAL_HALL_x);             // 获取当前hall的周期计数值
uint8_t HAL_HALL_ReadHallData(HAL_HALL_x);        // 获取当前hall的周期计数值
uint8_t HAL_HALL_ReadHallWidth(HAL_HALL_x);       // 获取当前hall捕获到的宽度
#endif
